<template>
    <div class='movieDetailBlock'>
        <img :src=movieItem.url class='poster'>

        <div class='mainCont'>
            <div class='detCont'>
                <div class='detail'>
                    <span> Réalisateur </span>
                    <span> {{movieItem.director.name}} </span>
                    <span> {{movieItem.director.nationality}} </span>
                    <span> {{movieItem.director.birthday}} </span>
                </div>

                <div class='detail'>
                    <span> Film </span>
                    <span> {{movieItem.title}} </span>
                    <span> {{movieItem.releaseDate}} </span>
                    <span> {{movieItem.genre}} </span>
                </div>
            </div>
            <div class='detCont'>
                <router-link class='btnSec' :to="'/'">Retour</router-link>

                <router-link class='btnEdi' :to="'/movie/edit/'+index">Modifier</router-link>

                <button class='btnDes'  :to="'/movie/'+index" @click="remove(index)">Supprimer</button>
            </div>
        </div>
    </div>
    
</template>




<script>
        export default {
            props: ['id'],
            data() {
                return {
                    movieItem : this.$movies[this.id],
                    index : this.id
                }
            },
            methods: {
                remove(id) {
                    this.$emit('remove', id) 
                },
            }
        }
</script>

<style scoped>
    .mainCont {
        width:30%;
        
    }
    .detCont {
        display:flex;
        flex-direction: row;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    .detail {
        font-weight: bold;
        font-size:20px;
        display:flex;
        flex-direction: column;
        border : #fafafafa solid 5px;
        border-radius:10px;
        padding:20px;
        flex-wrap: wrap;
        min-width:200px;
        max-width:200px;
    }
    div.detail span:first-child {
        margin-bottom:30px;
        font-weight:bolder;
    }
    .movieDetailBlock {
        display:flex;
        flex-direction: row;
        width:100%;
        align-items: center;
        justify-content: space-around;
        flex-wrap: wrap;
    }
    .poster {
        border-radius:10px;
        height:80%;
        border : #fafafafa solid 5px;
    }
    .poster:hover {
        border : #fafafafa solid 5px;
    }
</style>